// http://ionicframework.com/docs/v2/theming/


// App Global Sass
// --------------------------------------------------
// Put style rules here that you want to apply globally. These
// styles are for the entire app and not just one component.
// Additionally, this file can be also used as an entry point
// to import other Sass files to be included in the output CSS.
//
// Shared Sass variables, which can be used to adjust Ionic's
// default Sass variables, belong in "theme/variables.scss".
//
// To declare rules for a specific mode, create a child rule
// for the .md, .ios, or .wp mode classes. The mode class is
// automatically applied to the <body> element in the app.
    .toolbar-background-ios {
        background: none;
    }
    .header-ios {
        .toolbar-background-ios {
            border: none;   
        }
    }
    .toolbar-title-ios {
         color: white;
         font-weight: 500;
    }
    .ion-page {
        //background-color: white;
        //background: linear-gradient(180deg, rgba(245, 97, 250, 0.45) 5.63%, rgba(247, 107, 28, 0.29) 27.07%, rgba(250, 168, 121, 0.18) 56.93%, rgba(255, 255, 255, 0.87) 100%); 
    }
    .content {
        background: transparent;//
    }
    .master-content {
        //background: linear-gradient(180deg, rgba(245, 97, 250, 0.45) 5.63%, rgba(247, 107, 28, 0.29) 27.07%, rgba(250, 168, 121, 0.18) 56.93%, rgba(255, 255, 255, 0.87) 100%); 
    }
    
    .ios .ion-page.show-page ~ .nav-decor {
        background-color: transparent;
}
    .scroll-content,
    .fixed-content {
        background-color: transparent;
    }
    
    .menu-content {
        background-image: linear-gradient(180deg, rgba(245, 97, 250, 0.45) 5.63%, rgba(247, 107, 28, 0.29) 27.07%, rgba(250, 168, 121, 0.18) 56.93%, rgba(255, 255, 255, 0.87) 100%); 
    }
    
    ion-app.ios {
  font-family: "Roboto", sans-serif;
  font-size: 1.4rem;
  background-color: #fff;
}

ion-app.md {
  font-family: "Roboto", "Helvetica Neue", sans-serif;
  font-size: 1.4rem;
  background-color: #fff;
}

.products-list {
    margin-top: 2px;
}

super-tabs-toolbar {
    .toolbar-background-md {
        background: transparent;
    }
    
    .toolbar-content {
        margin-left: 5px;
    }
}

.discover-tabs super-tabs-toolbar > ion-toolbar.toolbar {
    padding-bottom: 13px;
}

.discover-tabs super-tabs-toolbar > ion-toolbar.toolbar.scroll-tabs .tab-buttons-container .tab-buttons super-tab-button {
    height: 37px;
    width: 100px;
    background-color: white;
    margin: 0 5px;
    box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.16);
    border-radius: 6px;
    transition: width 0.2s ease-in; // change this
    transition: height 0.2s ease-in; // change this
    
    &.title-only .title {
        line-height: 37px;
        text-transform: none;
        font-size: 15px;
        color: white;
        opacity: 1;
        font-weight: normal;
    }
    
    &.selected {
        height: 40px;
        width: 110px;
        background-blend-mode: multiply;
        
        .title {
            font-weight: bold;
            line-height: 45px;
        }
    }
}

super-tabs-toolbar > ion-toolbar.toolbar .tab-buttons-container .tab-buttons super-tab-button.title-only {
    .title {
        color: white;
    }
    
    &.selected {
        .title {
            font-weight: bold;
        }
    }
}


super-tabs-toolbar > ion-toolbar.toolbar.scroll-tabs .tab-buttons-container .indicator,
super-tabs-toolbar > ion-toolbar.toolbar .tab-buttons-container .indicator {
    display: none;
}

super-tabs:not([no-shadow]) > super-tabs-toolbar > ion-toolbar.toolbar::after {
    content: '';
    height: 0px;
    background-position: 0;
    bottom: 0;
}

super-tabs:not([no-shadow]) > super-tabs-toolbar > ion-toolbar.toolbar::after, super-tabs:not([no-shadow]) > super-tabs-toolbar > ion-toolbar.toolbar::before {
    position: absolute;
    background-image: none;
    background-repeat: repeat-x;
    width: 100%;
    left: 0;
}

.discover-tabs super-tabs-toolbar > ion-toolbar.toolbar.scroll-tabs .tab-buttons-container .tab-buttons super-tab-button {
    &:nth-child(1) {
        background-image: linear-gradient(110.93deg, rgba(251, 194, 235, 0.92) -23.13%, rgba(161, 140, 209, 0.64) 121.22%), url('../assets/img/all_button.jpg');
        background-size: cover;
    }
    
    &:nth-child(2) {
        background: linear-gradient(110.93deg, rgba(228, 239, 233, 0.9) -23.13%, rgba(150, 143, 244, 0.71) 121.22%), url('../assets/img/fashion_button.jpg');
        background-size: cover;
    }
    
    &:nth-child(3) { 
        background: linear-gradient(110.93deg, rgba(79, 172, 254, 0.9) -23.13%, rgba(0, 242, 254, 0.33) 121.22%), url('../assets/img/tech_button.jpg');
        background-size: cover;
    }
    
    &:nth-child(4) { 
        background: linear-gradient(110.93deg, rgba(132, 250, 176, 0.9) -23.13%, rgba(150, 143, 244, 0.71) 121.22%), url('../assets/img/events_button.jpg');
        background-size: cover;
    }
    
    &:nth-child(5) {
        background: linear-gradient(110.93deg, rgba(178, 36, 239, 0.62) -23.13%, rgba(117, 121, 255, 0.22) 121.22%), url('../assets/img/fun_button.jpg');
        background-size: cover;
    }
    
    &:nth-child(6) {
        background: linear-gradient(110.93deg, rgba(255, 91, 0, 0.66) -23.13%, rgba(226, 187, 87, 0.81) 121.22%), url('../assets/img/food_button.jpg');
        background-size: cover;
    }
}


.toolbar {
    height: 60px;
    padding: 0 10px;
}

.scroll-content,
.scroll-fixed {
    .list,
    .grid {
        padding: 0 30px;
    }
}